# Unichain eth_getBalance

> Returns the balance of a Unichain address.

# `eth_getBalance`

<Description />

## Parameters

- `address`: [_Required_] A string representing the address (20 bytes) to check for balance.
- `block parameter`: [_Required_] A hexadecimal block number, or one of the string tags `latest`, `earliest`, `pending`, or `finalized`. See the [default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).

  :::warning
  `safe` isn't supported. Use `finalized` instead.
  :::

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl">

```bash
curl https://unichain-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "method": "eth_getBalance", "params": ["0xc94770007dda54cF92009BFF0dE90c06F603a09f", "latest"], "id": 1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
